Commit 4abdb792 authored by Dominique Leuenberger's avatar Dominique Leuenberger

Do not report errors in absence of dbus-update-activation-environment

dbus-update-activation-environment was introduced with dbus 1.10.4
gnome-session by itself does not depend on any specific version of
dbus at all - but on dbus-glib-1 (DBUS_GLIB_REQUIRED=0.76)

The latest version of dbus-glib (ver 106) requires dbus-1 1.8: it is
thus a valid setup to run not have dbus-update-activation-environment
on the system. Warning the user about its absence is alerting users
for not reason.
parent 7c9e0a5b
......@@ -12,6 +12,6 @@ if [ -n "$REGION" ]; then
export LC_PAPER=$REGION
fi
dbus-update-activation-environment --all ||:
dbus-update-activation-environment --all >& /dev/null ||:
exec @libexecdir@/gnome-session-binary "$@"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment